Integrations
Successful Response
GET /integrations/atlassian/confluence/start/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
Successful Response
{
"url": "text",
"confluence_oauth_state": "text"
}Successful Response
GET /integrations/atlassian/jira/start/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
Successful Response
{
"url": "text",
"jira_oauth_state": "text"
}Successful Response
GET /integrations/box/start/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
Successful Response
{
"url": "text",
"csrf_token": "text"
}View for Listing and creating on /integration/datasources.
A search term.
A page number within the paginated result set.
Number of results to return per page.
GET /integrations/datasources/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"count": 1,
"next": "https://example.com",
"previous": "https://example.com",
"results": [
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"type": {
"id": 1,
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"slug": "text",
"token_def": {},
"logo_data": "text",
"difficulty": 1,
"oauth_start_url": "text",
"oauth_form": {}
},
"name": "text",
"expiry": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"secret_name": "text",
"enabled": true
}
]
}View for Listing and creating on /integration/datasources.
Authorization code from OAuth2 flow
State from /start endpoint
Authorization code from OAuth2 flow
State from /start endpoint
POST /integrations/datasources/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 178
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"organization": 1,
"type": 1,
"name": "text",
"enabled": true,
"expiry": "2026-01-01T00:00:00.000Z",
"token": {},
"code": "text",
"state": "text"
}{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"organization": 1,
"type": 1,
"name": "text",
"secret_name": "text",
"enabled": true,
"expiry": "2026-01-01T00:00:00.000Z",
"token": {},
"code": "text",
"state": "text"
}GET /integrations/datasources/{uuid}/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"type": {
"id": 1,
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"slug": "text",
"token_def": {},
"logo_data": "text",
"difficulty": 1,
"oauth_start_url": "text",
"oauth_form": {}
},
"name": "text",
"expiry": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"secret_name": "text",
"enabled": true
}PUT /integrations/datasources/{uuid}/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 198
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"type": {
"name": "text",
"slug": "text",
"token_def": {},
"logo_data": "text",
"difficulty": 1
},
"name": "text",
"expiry": "2026-01-01T00:00:00.000Z",
"enabled": true
}{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"type": {
"id": 1,
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"slug": "text",
"token_def": {},
"logo_data": "text",
"difficulty": 1,
"oauth_start_url": "text",
"oauth_form": {}
},
"name": "text",
"expiry": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"secret_name": "text",
"enabled": true
}No content
DELETE /integrations/datasources/{uuid}/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
No content
Authorization code from OAuth2 flow
State from /start endpoint
Authorization code from OAuth2 flow
State from /start endpoint
PATCH /integrations/datasources/{uuid}/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 178
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"organization": 1,
"type": 1,
"name": "text",
"enabled": true,
"expiry": "2026-01-01T00:00:00.000Z",
"token": {},
"code": "text",
"state": "text"
}{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"organization": 1,
"type": 1,
"name": "text",
"secret_name": "text",
"enabled": true,
"expiry": "2026-01-01T00:00:00.000Z",
"token": {},
"code": "text",
"state": "text"
}Successful Response
GET /integrations/dropbox/start/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
Successful Response
{
"url": "text",
"dropbox-auth-csrf-token": "text"
}Successful Response
GET /integrations/github/start/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
Successful Response
{
"url": "text",
"github_oauth_state": "text"
}Successful Response
GET /integrations/google-workspaces/start/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
Successful Response
{
"url": "text",
"oauth_state": "text"
}A search term.
A page number within the paginated result set.
Number of results to return per page.
GET /integrations/integration-markdown/{integration_uuid}/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"count": 1,
"next": "https://example.com",
"previous": "https://example.com",
"results": [
{
"title": "text",
"markdown": "text"
}
]
}A search term.
A page number within the paginated result set.
Number of results to return per page.
GET /integrations/integration-types/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"count": 1,
"next": "https://example.com",
"previous": "https://example.com",
"results": [
{
"id": 1,
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"slug": "text",
"token_def": {},
"logo_data": "text",
"difficulty": 1,
"oauth_start_url": "text",
"oauth_form": {}
}
]
}SalesForce Subdomain
Successful Response
GET /integrations/salesforce/start/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
Successful Response
{
"url": "text",
"csrf_token": "text"
}Last updated

